## ccid 1.0.0

=== DESCRIPTION ===
Package: ccid
Type: Package
Title: Cross-Covariance Isolate Detect: a New Change-Point Method for
        Estimating Dynamic Functional Connectivity
Version: 1.0.0
Depends: R (>= 3.6.0)
Imports: IDetect, hdbinseg, GeneNet, gdata
Authors@R: c(person("Andreas", "Anastasiou", email = "anastasiou.andreas@ucy.ac.cy", role = c("aut", "cre")),
        person("Ivor", "Cribben", email = "cribben@ualberta.ca", role = "aut"),
        person("Piotr", "Fryzlewicz", email = "p.fryzlewicz@lse.ac.uk", role = "aut"))
Description: Provides efficient implementation of the Cross-Covariance
    Isolate Detect (CCID) methodology for the estimation of the number
    and location of multiple change-points in the second-order
    (cross-covariance or network) structure of multivariate, possibly
    high-dimensional time series. The method is motivated by the detection
    of change points in functional connectivity networks for functional
    magnetic resonance imaging (fMRI), electroencephalography (EEG),
    magentoencephalography (MEG) and electrocorticography (ECoG) data. The
    main routines in the package have been extensively tested on fMRI data. 
    For details on the CCID methodology, please see Anastasiou et
    al (2020) <doi:10.1101/2020.12.20.423696>.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
URL: https://github.com/Anastasiou-Andreas/ccid
BugReports: https://github.com/Anastasiou-Andreas/ccid/issues
Suggests: testthat
NeedsCompilation: no
Packaged: 2021-01-05 11:11:56 UTC; ANASTAS7
Author: Andreas Anastasiou [aut, cre],
  Ivor Cribben [aut],
  Piotr Fryzlewicz [aut]
Maintainer: Andreas Anastasiou <anastasiou.andreas@ucy.ac.cy>
Repository: CRAN
Date/Publication: 2021-01-07 11:20:09 UTC

## ccid 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Cross-Covariance Isolate Detect: a New Change-Point Method for
         Estimating Dynamic Functional Connectivity
-Version: 1.0.0
+Version: 1.1.0
 Depends: R (>= 3.6.0)
 Imports: IDetect, hdbinseg, GeneNet, gdata
 Authors@R: c(person("Andreas", "Anastasiou", email = "anastasiou.andreas@ucy.ac.cy", role = c("aut", "cre")),
@@ -18,19 +18,21 @@
     magentoencephalography (MEG) and electrocorticography (ECoG) data. The
     main routines in the package have been extensively tested on fMRI data. 
     For details on the CCID methodology, please see Anastasiou et
-    al (2020) <doi:10.1101/2020.12.20.423696>.
+    al (2022), Cross-covariance isolate detect: A new change-point method for
+    estimating dynamic functional connectivity. Medical Image Analysis, Volume
+    75.
 License: GPL-3
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 URL: https://github.com/Anastasiou-Andreas/ccid
 BugReports: https://github.com/Anastasiou-Andreas/ccid/issues
-Suggests: testthat
+Suggests: testthat (>= 2.0.0)
+Config/testthat/edition: 2
 NeedsCompilation: no
-Packaged: 2021-01-05 11:11:56 UTC; ANASTAS7
+Packaged: 2021-12-20 10:57:30 UTC; aanast03
 Author: Andreas Anastasiou [aut, cre],
   Ivor Cribben [aut],
   Piotr Fryzlewicz [aut]
 Maintainer: Andreas Anastasiou <anastasiou.andreas@ucy.ac.cy>
 Repository: CRAN
-Date/Publication: 2021-01-07 11:20:09 UTC
+Date/Publication: 2021-12-20 11:10:02 UTC

## ccid 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Cross-Covariance Isolate Detect: a New Change-Point Method for
         Estimating Dynamic Functional Connectivity
-Version: 1.1.0
+Version: 1.2.0
 Depends: R (>= 3.6.0)
 Imports: IDetect, hdbinseg, GeneNet, gdata
 Authors@R: c(person("Andreas", "Anastasiou", email = "anastasiou.andreas@ucy.ac.cy", role = c("aut", "cre")),
@@ -29,10 +29,10 @@
 Suggests: testthat (>= 2.0.0)
 Config/testthat/edition: 2
 NeedsCompilation: no
-Packaged: 2021-12-20 10:57:30 UTC; aanast03
+Packaged: 2022-02-01 10:24:25 UTC; ANASTAS7
 Author: Andreas Anastasiou [aut, cre],
   Ivor Cribben [aut],
   Piotr Fryzlewicz [aut]
 Maintainer: Andreas Anastasiou <anastasiou.andreas@ucy.ac.cy>
 Repository: CRAN
-Date/Publication: 2021-12-20 11:10:02 UTC
+Date/Publication: 2022-02-01 10:50:02 UTC

## ccid 1.4.2

=== debian/changelog ===
ccid (1.4.2-2) unstable; urgency=low

  * Fix "circular dependency with pcscd and libpcsclite1" remove binaries
    Kobil_mIDentity_switch and RSA_SecurID_getpasswd so the package do not
    depends on libpcsclite1 (Closes: #612972)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Feb 2011 08:48:30 +0100

ccid (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Fix "New Neowave Weneo card version with new productId" support is now
    included upstream (Closes: #570167)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Feb 2011 00:13:03 +0100

ccid (1.4.1-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depends: libpcsclite-dev (>= 1.6.5~). It is needed
    by the new upstream version.
  * debian/libccid.udev: install the udev rule at priority 92 to be _after_
    91-permissions.rules

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Dec 2010 22:56:27 +0100

ccid (1.4.0-1) experimental; urgency=low

  * New upstream release
  * debian/rules: use dh (nearly) minimal rules
  * debian/control: remove reader list since it is no more up to date
  * debian/post{inst,rm}: removed. No need to call update-reader.conf any
    more since pcscd will parse the /etc/reader.conf.d/ directory
  * debian/control: remove references to pcscd 1.2.9-beta9-1 in Recommands and
    Conflicts since stable already have pcscd 1.4.102
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No changes needed.
  * debian/control: Build-Depends: libusb-1.0-0-dev instead of libusb-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Aug 2010 15:14:12 +0200

ccid (1.3.13-1) experimental; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 04 Jun 2010 15:56:41 +0200

ccid (1.3.12-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depends: libpcsclite-dev (>= 1.6.0) instead of
    libpcsclite-dev (>= 1.3.3)
  * debian/control: Standards-Version: 3.8.2 -> 3.8.4. No change needed
  * upgrade to debhelper v7
  * debian/source/format: use "3.0 (quilt)" format
  * Fix "Lots of logging with no card in SCM SCR3310" fixed upstream
    (Closes: #555837)
  * Fix "USB-ICC version A (T=0) support" Better support if ICCD-A included
    upstream (Closes: #503638)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 13 May 2010 14:32:15 +0200

ccid (1.3.11-1) unstable; urgency=low

  * New upstream release
  * debian/watch: new format
  * Fix "Please add Panasonic ZU-9PS" included upstream
    (Closes: #537317)
  * debian/control: Standards-Version: 3.7.3 -> 3.8.2, add support of noopt,
    nostrip and parallel= in DEB_BUILD_OPTIONS
  * debian/rules: copy config.{sub,guess} at the correct place (instead of in
    a non-existant build/ directory)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 28 Jul 2009 23:31:51 +0200

ccid (1.3.10-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Mar 2009 16:53:15 +0100

ccid (1.3.9-1) unstable; urgency=low

  * New upstream release
  * debian/watch: use .bz2 extension instead of .gz
  * debian/{postinst,postrm}: remove absolute path from update-reader.conf
    lintian warning: command-with-path-in-maintainer-script

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 15:31:00 +0100

ccid (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Jun 2008 11:55:14 +0200

ccid (1.3.7-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Jun 2008 11:05:08 +0200

ccid (1.3.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: add Vcs-Svn: and Vcs-Browser: now the packaging is hosted
    on alioth/collab-maint
  * debian/rules:
   - do not set CFLAGS since dpkg-dev (>= 1.14.17) does it for me
   - remove --enable-udev since pcscd now uses libhal instead of libusb
   - do not install the udev file
  * debian/control: remove Depends: udev
    Closes: #466134 "libccid: excessive dependency on udev"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 30 Apr 2008 16:32:53 +0200

ccid (1.3.5-1) unstable; urgency=low

  * New upstream release
   - Closes: #466710 "libccid: Kobil mIDentity Switch is broken"
  * debian/control: Build-Depends: libpcsclite-dev (>= 1.3.3) instead of (>=
    1.3.3-1) to avoid a build-depends-on-1-revision build-depends: lintian
    warning

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 22 Feb 2008 15:03:07 +0100

ccid (1.3.4-1) unstable; urgency=low

  * New upstream release
   - really Closes: #463977 "libccid.rules causes udev to delay for 10s when
   syncing palm device"
  * debian/rules: rename /usr/share/doc/ccid/ in /usr/share/doc/libccid/

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 08 Feb 2008 14:50:12 +0000

ccid (1.3.3-1) unstable; urgency=low

  * New upstream release
   - Closes: #463977 "libccid.rules causes udev to delay for 10s when syncing
   palm device"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 06 Feb 2008 18:27:16 +0100

ccid (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Jan 2008 20:36:29 +0100

ccid (1.3.1-3) unstable; urgency=low

  * debian/control:
   - remove XS-Vcs-Browser: and Xs-Vcs-Svn: since they are for Debian package
     and not for upstream
   - Suggests: pcmciautils. Closes: #459246 "libccid: please Suggests:
     pcmciautils"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 11 Jan 2008 15:13:35 +0100

ccid (1.3.1-2) unstable; urgency=low

  * debian/rules: create a symlink for libccidtwin.so
    Closes: Bug#457657 "libccid: please provide a general symlink for
    libccidtwin.so"
  * debian/control: Standards-Version: 3.7.2 -> 3.7.3. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 31 Dec 2007 16:29:19 +0100

ccid (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 16 Nov 2007 15:25:46 +0100



=== debian/control ===
Source: ccid
Section: libs
Priority: extra
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.6.5~), flex, autotools-dev, pkg-config
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ccid/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ccid/trunk/
Homepage: http://pcsclite.alioth.debian.org/ccid.html

Package: libccid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: pcsc-ifd-handler
Suggests: pcmciautils
Description: PC/SC driver for USB CCID smart card readers
 This library provides a PC/SC IFD handler implementation for the USB smart
 card drivers compliant to the CCID protocol.
 .
 This package is needed to communicate with the CCID smartcard readers through
 the PC/SC Lite resource manager (pcscd).
 .
 For an exhaustive list of supported reader see
 http://pcsclite.alioth.debian.org/section.html
 .
 This driver also supports the GemPC Twin connected to a serial port and
 the GemPC Card (PCMCIA, through the suggested pcmciautils package) and
 Gemplus GemPC Express (Express54 card).

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=debian/libccid

%:
	dh $@

override_dh_auto_configure:
	# add support of the GemPC Twin in serial mode
	dh_auto_configure -- --enable-twinserial 

override_dh_auto_install:
	dh_auto_install

	# move the configuration file in /etc and create a symbolic link
	mv $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist $(DESTDIR)/etc/libccid_Info.plist
	ln -s /etc/libccid_Info.plist $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist

	# rename doc directory: ccid -> libccid
	mv $(DESTDIR)/usr/share/doc/ccid $(DESTDIR)/usr/share/doc/libccid

	# remove binaries (#612972 libccid: circular dependency with pcscd and libpcsclite1)
	rm -r $(DESTDIR)/usr/sbin
	rm -r $(DESTDIR)/usr/bin
	rm -r $(DESTDIR)/usr/share/man
	rm $(DESTDIR)/usr/share/doc/libccid/README_Kobil_mIDentity_switch.txt

override_dh_installudev:
	dh_installudev --priority=92

## ccid 1.4.3

=== debian/changelog ===
ccid (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 02 Apr 2011 21:07:20 +0200

## ccid 1.4.4

=== debian/changelog ===
ccid (1.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 13 May 2011 14:30:29 +0200

## ccid 1.4.5

=== debian/changelog ===
ccid (1.4.5-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 11 Oct 2011 22:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.6.5~), flex, autotools-dev, pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ccid/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html

## ccid 1.4.6

=== debian/changelog ===
ccid (1.4.6-2) unstable; urgency=low

  * use debhelper version 9 to get automatic hardening

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Apr 2012 20:28:06 +0200

ccid (1.4.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Apr 2012 18:22:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.6.5~), flex, autotools-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.6.5~), flex, autotools-dev, pkg-config
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ccid/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html

## ccid 1.4.7

=== debian/changelog ===
ccid (1.4.7-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Mon, 24 Sep 2012 20:15:46 +0200

ccid (1.4.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: remove autotools-dev from Build-Depends: It is no more
    needed since a long time now.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 22 Jun 2012 10:58:27 +0200

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=debian/libccid

%:
	dh $@

override_dh_auto_configure:
	# add support of the GemPC Twin in serial mode
	dh_auto_configure -- --enable-twinserial 

override_dh_auto_install:
	dh_auto_install

	# move the configuration file in /etc and create a symbolic link
	mv $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist $(DESTDIR)/etc/libccid_Info.plist
	ln -s /etc/libccid_Info.plist $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist

override_dh_installudev:
	dh_installudev --priority=92

=== debian/watch ===
# use uscan(1)
version=3

# Full-site-with-pattern  [Version  [Action]]
http://alioth.debian.org/frs/?group_id=30105 \
  https://alioth.debian.org/frs/download.php/.*/ccid-(.*)\.tar\.bz2

## ccid 1.4.9

=== debian/changelog ===
ccid (1.4.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3 -> 3.9.4. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jan 2013 16:41:46 +0100

ccid (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Fix "Can't use NTTCom USB Smart Card Reader(0x04e6:0x511a)"
    The reader is now supported upstream (Closes: #688999)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 07 Oct 2012 14:04:35 +0200

## ccid 1.4.10

=== debian/changelog ===
ccid (1.4.10-1) unstable; urgency=low

  * New upstream release
  * Fix "typo of Product ID for SCR3310-NTTCom USB SmartCard Reader in
    92_pcscd_ccid.rules" fixed upstream (Closes: #704673)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 16 Apr 2013 14:55:51 +0200

## ccid 1.4.13

=== debian/changelog ===
ccid (1.4.13-1) unstable; urgency=low

  * New upstream release
    fix compilation on kFreeBSD

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Oct 2013 13:00:45 +0200

ccid (1.4.12-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgrade Build-Depends: libpcsclite-dev to 1.8.3 minimum
  * debian/control: update Vcs-Svn: and Vcs-Browser: and use
    anonscm.debian.org. Fixes lintian warning vcs-field-not-canonical

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 13 Aug 2013 00:02:07 +0200

ccid (1.4.11-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update file. Thanks to Bart Martens

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 12 Jun 2013 14:22:38 +0200

## ccid 1.4.14

=== debian/changelog ===
ccid (1.4.14-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to try to fix FTBFS on ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 18 Dec 2013 23:19:46 -0500

ccid (1.4.14-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 25 Nov 2013 20:11:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ccid
 Section: libs
 Priority: extra
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.6.5~), flex, autotools-dev, pkg-config
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ccid/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ccid/trunk/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, dh-autoreconf
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html
 
 Package: libccid

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 DESTDIR=debian/libccid
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	# add support of the GemPC Twin in serial mode
-	dh_auto_configure -- --enable-twinserial 
+	dh_auto_configure -- --enable-twinserial --enable-serialconfdir=/etc/reader.conf.d
 
 override_dh_auto_install:
 	dh_auto_install

## ccid 1.4.15

=== debian/changelog ===
ccid (1.4.15-1) unstable; urgency=low

  * debian/rules: build in parallel
  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 14 Feb 2014 11:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ccid
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, dh-autoreconf
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/

## ccid 1.4.18

=== debian/changelog ===
ccid (1.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 13 Sep 2014 18:35:01 +0200

ccid (1.4.17-1) unstable; urgency=low

  * New upstream release
  * Fix "regression: O2 Micro Oz776 no longer works" fixed upstream
    (Closes: #742230)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 11 Jun 2014 14:59:25 +0200

ccid (1.4.16-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.4 -> 3.9.5. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 23 Mar 2014 16:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html

## ccid 1.4.19

=== debian/changelog ===
ccid (1.4.19-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 13 May 2015 09:52:58 +0200

## ccid 1.4.20

=== debian/changelog ===
ccid (1.4.20-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5 -> 3.9.6. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 05 Aug 2015 13:28:29 +0200

## ccid 1.4.21

=== debian/changelog ===
ccid (1.4.21-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 21 Oct 2015 20:45:19 +0200

## ccid 1.4.22

=== debian/changelog ===
ccid (1.4.22-1ubuntu0.1) xenial-proposed; urgency=low

  * debian/patches/close-libusb-on-failure.patch: Make sure
    close_libusb_if_needed is called even if no device was opened,
    otherwise it triggers a segfault. (LP: #1551897)

 -- Evan Broder <evan@ebroder.net>  Mon, 09 May 2016 12:28:36 -0700

ccid (1.4.22-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 10 Jan 2016 14:49:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DESTDIR=debian/libccid
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	# add support of the GemPC Twin in serial mode

## ccid 1.4.24

=== debian/changelog ===
ccid (1.4.24-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: enable hardening all

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 22 May 2016 17:13:18 +0200

ccid (1.4.23-1) unstable; urgency=medium

  * New upstream release
  * Fix "cleanup libusb when open fails" fixed upstream (Closes: #821787)
  * Fix "pcscd takes 100 % cpu each time I insert a mass storage USB
    key" fixed upstream (Closes: #812087)
  * debian/control: use https:// for Vcs-Browser:
    Fix lintian warning vcs-field-uses-insecure-uri vcs-browser
  * debian/control: Standards-Version: 3.9.6 -> 3.9.8. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Apr 2016 10:10:11 +0200

## ccid 1.4.26

=== debian/changelog ===
ccid (1.4.26-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Cristau <jcristau@debian.org>  Sat, 21 Jan 2017 19:14:18 +0100

ccid (1.4.26-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Jan 2017 18:37:42 +0100

ccid (1.4.25-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Sep 2016 10:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
 Homepage: http://pcsclite.alioth.debian.org/ccid.html
 
 Package: libccid

## ccid 1.4.27

=== debian/changelog ===
ccid (1.4.27-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 May 2017 14:49:03 +0200

## ccid 1.4.28

=== debian/changelog ===
ccid (1.4.28-2) unstable; urgency=medium

  * Migrate the Debian packging from SVN to GIT

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 13 Dec 2017 14:18:36 +0100

ccid (1.4.28-1) unstable; urgency=medium

  * New upstream release
  * Fix "please add Reiner SCT cyberjack RFID standard card reader"
    support added upstream (Closes: #874689)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 11 Oct 2017 13:33:03 +0200

## ccid 1.4.29

=== debian/changelog ===
ccid (1.4.29-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Update Homepage

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2018 23:23:32 +0100

ccid (1.4.29-1) unstable; urgency=medium

  * Fix "C3PO LTC32 v2 doesn't work well when the PIN number of a card
    is required". Bug fixed upstream (Closes: #890126)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 21 Feb 2018 09:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ccid/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/ccid/trunk/
-Homepage: http://pcsclite.alioth.debian.org/ccid.html
+Vcs-Git: https://salsa.debian.org/debian/ccid.git
+Vcs-Browser: https://salsa.debian.org/debian/ccid
+Homepage: https://ccid.apdu.fr/
 
 Package: libccid
 Architecture: any

## ccid 1.4.30

=== debian/changelog ===
ccid (1.4.30-1.2sysmo) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Increase number of readers to 255

 -- Harald Welte <lafore@gnumonks.org>  Wed, 16 Dec 2020 18:18:18 +0100

ccid (1.4.30-1) unstable; urgency=medium

  * d/watch: The project moved to https://ccid.apdu.fr/
  * Move from debhelper compat 9 to 11
  * d/watch: check upstream signature
  * d/control: change Priority: from extra to optional
  * d/control: Standards-Version: 3.9.8 -> 4.2.1. no more change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 19 Sep 2018 10:59:06 +0200

## ccid 1.4.30.3

=== debian/changelog ===
ccid (1.4.30.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 2b00a718344aa27373da306e8a13b98764180ec4']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 17:40:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ccid
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

## ccid 1.4.31

=== debian/changelog ===
ccid (1.4.31-1) unstable; urgency=medium

  * New upstream release
  * d/p/README: create an empty README file
  * d/control: Standards-Version: 4.2.1 -> 4.3.0. no more change needed
  * d/upstream/signing-key.asc: use a minimal signing key

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 10 Aug 2019 12:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 11~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 DESTDIR=debian/libccid
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	# add support of the GemPC Twin in serial mode

## ccid 1.4.32

=== debian/changelog ===
ccid (1.4.32-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.3.0 -> 4.5.0. No change needed
  * d/control: use debhelper-compat (= 12)
  * d/control: add Rules-Requires-Root: no

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Apr 2020 11:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 11~), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/
+Rules-Requires-Root: no
 
 Package: libccid
 Architecture: any

## ccid 1.4.33

=== debian/changelog ===
ccid (1.4.33-1) unstable; urgency=medium

  * New upstream release
  * d/control: upgrade to debhelper-compat (= 13)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 25 Jun 2020 20:47:06 +0200

## ccid 1.4.34

=== debian/changelog ===
ccid (1.4.34-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * d/upstream/metadata: add Repository* fields

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 24 Jan 2021 15:55:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 12), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
+Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid

## ccid 1.4.36

=== debian/changelog ===
ccid (1.4.36-2) unstable; urgency=medium

  * Fix "Please replace links to alioth by salsa" using the upstream web
    site (Closes: #997897)
  * d/copyright: update download URL

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 28 Oct 2021 21:58:36 +0200

ccid (1.4.36-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 30 Aug 2021 11:29:32 +0200

ccid (1.4.35-2) unstable; urgency=medium

  * upload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 23 Aug 2021 21:26:03 +0200

ccid (1.4.35-1) experimental; urgency=medium

  * New upstream release
  * d/control: Build-Depends: autoconf-archive
  * d/control: Standards-Version: 4.5.0 -> 4.5.1. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Jul 2021 18:49:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, autoconf-archive
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/
@@ -22,7 +22,7 @@
  the PC/SC Lite resource manager (pcscd).
  .
  For an exhaustive list of supported reader see
- http://pcsclite.alioth.debian.org/section.html
+ https://ccid.apdu.fr/select_readers/
  .
  This driver also supports the GemPC Twin connected to a serial port and
  the GemPC Card (PCMCIA, through the suggested pcmciautils package) and

## ccid 1.5.0

=== debian/changelog ===
ccid (1.5.0-2) unstable; urgency=medium

  * Fix "invoke-rc.d pcscd restart might fail in postinst" do not fail
    on error (Closes: #1005939)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 18 Feb 2022 11:18:25 +0100

ccid (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/postinst: restart pcscd on install
    See #995814
  * Fix "usability: do a try-restart of pcscd on fresh install" restart
    pcscd on install/upgrade (Closes: #864656)
  * d/control: Standards-Version: 4.5.1 -> 4.6.0. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 27 Jan 2022 13:49:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, autoconf-archive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

## ccid 1.5.1

=== debian/changelog ===
ccid (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "libccid >= 1.4.35 breaks SafeNet tokens" (Closes: #993647)
  * d/control: Standards-Version: 4.6.0 -> 4.6.1. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 14 Nov 2022 11:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, autoconf-archive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

## ccid 1.5.2

=== debian/changelog ===
ccid (1.5.2-1deepin1) unstable; urgency=medium

  [ luxinyou ]
  * Adapt reader for wotrus MeSince MK-1.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 16 Jun 2025 14:18:50 +0800

ccid (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 31 Jan 2023 17:30:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, autoconf-archive
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

## ccid 1.5.3

=== debian/changelog ===
ccid (1.5.3-1) unstable; urgency=medium

  * New upstream release
  * Reformat Build-Depends:
  * Add Build-Depends: zlib1g-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 25 Oct 2023 17:43:12 +0200

## ccid 1.5.4

=== debian/changelog ===
ccid (1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 29 Oct 2023 17:53:47 +0100

## ccid 1.5.5

=== debian/changelog ===
ccid (1.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Jan 2024 10:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libpcsclite-dev (>= 1.8.3~), flex, pkg-config, autoconf-archive
+Build-Depends: autoconf-archive,
+	debhelper-compat (= 13),
+	flex,
+	libpcsclite-dev (>= 1.8.3~),
+	libusb-1.0-0-dev,
+	pkg-config,
+    zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid

## ccid 1.6.0

=== debian/changelog ===
ccid (1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 01 Jun 2024 15:26:07 +0200

## ccid 1.6.1

=== debian/changelog ===
ccid (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Jul 2024 11:03:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: autoconf-archive,
-	debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
 	flex,
 	libpcsclite-dev (>= 1.8.3~),
 	libusb-1.0-0-dev,
-	pkg-config,
+	meson,
+	pkgconf,
     zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/ccid.git

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,13 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+	rm configure.ac Makefile.am
+
 override_dh_auto_configure:
 	# add support of the GemPC Twin in serial mode
-	dh_auto_configure -- --enable-twinserial --enable-serialconfdir=/etc/reader.conf.d
+	dh_auto_configure -- -Dserial=true
+	meson configure
 
 override_dh_auto_install:
 	dh_auto_install

## ccid 1.6.2

=== debian/changelog ===
ccid (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 19 Mar 2025 17:55:40 +0100

ccid (1.6.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't meson configure with a different build directory.
    (Closes: #1083047)

  [ Ludovic Rousseau ]
  * d/control: Standards-Version: 4.6.2 -> 4.7.0. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 01 Oct 2024 22:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	meson,
 	pkgconf,
     zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 override_dh_auto_configure:
 	# add support of the GemPC Twin in serial mode
 	dh_auto_configure -- -Dserial=true
-	meson configure
 
 override_dh_auto_install:
 	dh_auto_install

## ccid 1.7.0

=== debian/changelog ===
ccid (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.7.0 -> 4.7.2. No change needed
  * d/copyright: use FSF URL instead of address
  * d/control: add Build-Depends: systemd-dev
  * d/rules: do not install 92_pcscd_ccid.rules file

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 02 Oct 2025 15:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 	libusb-1.0-0-dev,
 	meson,
 	pkgconf,
+	systemd-dev,
     zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,7 @@
 	mv $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist $(DESTDIR)/etc/libccid_Info.plist
 	ln -s /etc/libccid_Info.plist $(DESTDIR)/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist
 
+	rm $(DESTDIR)/usr/lib/udev/rules.d/92_pcscd_ccid.rules
+
 override_dh_installudev:
 	dh_installudev --priority=92

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
	https://ccid.apdu.fr/files/ \
	ccid-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## ccid 1.7.1

=== debian/changelog ===
ccid (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * d:control: remove Priority: field
  * d/control: rfemove Rules-Requires-Root: field
  * d/control: Standards-Version: 4.7.2 -> 4.7.3.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Feb 2026 17:01:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ccid
 Section: libs
-Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	flex,
@@ -10,11 +9,10 @@
 	pkgconf,
 	systemd-dev,
     zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/ccid.git
 Vcs-Browser: https://salsa.debian.org/debian/ccid
 Homepage: https://ccid.apdu.fr/
-Rules-Requires-Root: no
 
 Package: libccid
 Architecture: any
